## linux 3.12.9

=== Makefile ===
VERSION = 3
PATCHLEVEL = 12
SUBLEVEL = 9
EXTRAVERSION =
NAME = One Giant Leap for Frogkind

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-Iarch/$(hdr-arch)/include/generated \
		$(if $(KBUILD_SRC), -I$(srctree)/include) \
		-Iinclude \
		$(USERINCLUDE)

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP

=== debian/changelog ===
linux (3.12.9-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy:
    - Disable architectures that weren't part of wheezy
    - Use gcc-4.6 for all architectures
    - Change ABI number to 0.bpo.1

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 07 Feb 2014 01:37:28 +0000

linux (3.12.9-1) unstable; urgency=high

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.9
    - Revert "ACPI: Add BayTrail SoC GPIO and LPSS ACPI IDs"
      (regression in 3.12.7)
    - GFS2: Increase i_writecount during gfs2_setattr_chown
    - vfs: Fix a regression in mounting proc (regression in 3.12)
    - fork: Allow CLONE_PARENT after setns(CLONE_NEWPID) (regression in 3.12)
    - i2c: Re-instate body of i2c_parent_is_i2c_adapter() (regression in 3.12)
    - writeback: Fix data corruption on NFS
    - thp: fix copy_page_rep GPF by testing is_huge_zero_pmd once only
    - [x86] ftrace: Load ftrace_ops in parameter not the variable holding it
    - nilfs2: fix segctor bug that causes file system corruption
    - md: fix problem when adding device to read-only array with bitmap.
    - md/raid10: fix bug when raid10 recovery fails to recover a block.
    - md/raid10: fix two bugs in handling of known-bad-blocks.
    - md/raid5: Fix possible confusion when multiple write errors occur.
    - mm: Make {,set}page_address() static inline if WANT_PAGE_VIRTUAL
      (fixes FTBFS on sparc and m68k)
    - [x86] drm/i915: Don't grab crtc mutexes in intel_modeset_gem_init()
      (regression in 3.12.7)
    - [arm] 7938/1: OMAP4/highbank: Flush L2 cache before disabling

  [ Ben Hutchings ]
  * HID: Enable HID_ELO, HID_XINMO as modules (Closes: #736369)
  * xhci: Revert generalised sg support (Closes: #733826, #736274)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 01 Feb 2014 18:50:01 +0100

=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.4
Build-Depends: debhelper (>> 7), cpio, kmod | module-init-tools, python (>= 2.7), lzma [armel], kernel-wedge (>= 2.84), quilt, patchutils, bc, gcc-4.6 [amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Svn: svn://anonscm.debian.org/svn/kernel/dists/trunk/linux/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux/
Homepage: https://www.kernel.org/

Package: linux-source-3.12
Architecture: all
Section: kernel
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.12 with Debian patches
 This package provides source code for the Linux kernel version 3.12. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-3.12
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.12
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.12.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.12/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-3.12
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.12
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-3.12-0.bpo.1
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Description: Support files for Linux 3.12
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-3.12-0.bpo.1-all
Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Depends: linux-headers-3.12-0.bpo.1-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.12 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.12, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.12-0.bpo.1-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.12-0.bpo.1-amd64 (= ${binary:Version}), linux-headers-3.12-0.bpo.1-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 3.12 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.12, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image, zlib-modules
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: nic-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, nic-shared-modules-3.12-0.bpo.1-amd64-di, core-modules-3.12-0.bpo.1-amd64-di, i2c-modules-3.12-0.bpo.1-amd64-di, crc-modules-3.12-0.bpo.1-amd64-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: nic-wireless-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, nic-shared-modules-3.12-0.bpo.1-amd64-di, core-modules-3.12-0.bpo.1-amd64-di, usb-modules-3.12-0.bpo.1-amd64-di, mmc-modules-3.12-0.bpo.1-amd64-di, pcmcia-modules-3.12-0.bpo.1-amd64-di, crc-modules-3.12-0.bpo.1-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: nic-shared-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: serial-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, pcmcia-modules-3.12-0.bpo.1-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: usb-serial-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, usb-modules-3.12-0.bpo.1-amd64-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: ppp-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, serial-modules-3.12-0.bpo.1-amd64-di, crc-modules-3.12-0.bpo.1-amd64-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: pata-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: pata-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, ata-modules-3.12-0.bpo.1-amd64-di
Description: PATA drivers
 This package contains PATA drivers for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: cdrom-core-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: cdrom-core-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, scsi-core-modules-3.12-0.bpo.1-amd64-di, isofs-modules-3.12-0.bpo.1-amd64-di
Description: CDROM support
 This package contains core CDROM support for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: firewire-core-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: firewire-core-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, scsi-core-modules-3.12-0.bpo.1-amd64-di, crc-modules-3.12-0.bpo.1-amd64-di
Description: Core FireWire drivers
 This package contains core FireWire drivers for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: scsi-core-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-core-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: scsi-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, scsi-core-modules-3.12-0.bpo.1-amd64-di, scsi-common-modules-3.12-0.bpo.1-amd64-di, cdrom-core-modules-3.12-0.bpo.1-amd64-di, core-modules-3.12-0.bpo.1-amd64-di, ata-modules-3.12-0.bpo.1-amd64-di
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: scsi-common-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-common-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, scsi-core-modules-3.12-0.bpo.1-amd64-di, cdrom-core-modules-3.12-0.bpo.1-amd64-di
Description: Very common SCSI drivers
 This package contains very common SCSI drivers for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: scsi-extra-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-extra-modules
Depends: scsi-modules-3.12-0.bpo.1-amd64-di, scsi-core-modules-3.12-0.bpo.1-amd64-di
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.  This includes
 SCSI RAID drivers, and some of the less common SCSI controllers.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: loop-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: loop-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: btrfs-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: btrfs-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, core-modules-3.12-0.bpo.1-amd64-di, crc-modules-3.12-0.bpo.1-amd64-di, md-modules-3.12-0.bpo.1-amd64-di
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: ext4-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di, core-modules-3.12-0.bpo.1-amd64-di, crc-modules-3.12-0.bpo.1-amd64-di
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: isofs-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: isofs-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.
Kernel-Version: 3.12-0.bpo.1-amd64
Package-Type: udeb

Package: jfs-modules-3.12-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: jfs-modules
Depends: kernel-image-3.12-0.bpo.1-amd64-di
Description: JFS filesystem support

## linux 3.12.24

=== debian/changelog ===
linux (3.12.24-0tanglu1) aequorea-updates; urgency=medium

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.12.21
    - powerpc: Add vr save/restore functions
    - audit: restore order of tty and ses fields in log output
    - HID: usbhid: merge the sis quirk
    - HID: usbhid: fix sis quirk
    - HID: usbhid: quirk for Synaptics HD touchscreen
    - HID: usbhid: quirk for Synaptics Quad HD touchscreen
    - HID: add support for SiS multitouch panel in the touch monitor LG 23ET83V
    - HID: usbhid: quirk for CY-TM75 75 inch Touch Overlay
    - xhci: For streams the css flag most be read from the stream-ctx on ep stop
    - pid: get pid_t ppid of task in init_pid_ns
    - sched: declare pid_alive as inline
    - tgafb: fix mode setting with fbset
    - net: qmi_wwan: add Telit LE920 newer firmware support
    - net: qmi_wwan: add ZTE MF667
    - net: qmi_wwan: add support for Cinterion PXS8 and PHS8
    - list: introduce list_next_entry() and list_prev_entry()
    - scsi: fix our current target reap infrastructure
    - SCSI: dual scan thread bug fix
    - SCSI: megaraid: missing bounds check in mimd_to_kioc()
    - KVM: x86: remove WARN_ON from get_kernel_ns()
    - audit: convert PPIDs to the inital PID namespace.
    - netfilter: nf_conntrack: reserve two bytes for nf_ct_ext->len
    - blktrace: fix accounting of partially completed requests
    - netfilter: Can't fail and free after table replacement
    - tracepoint: Do not waste memory on mods with no tracepoints
    - rbd: fix error paths in rbd_img_request_fill()
    - tick-common: Fix wrong check in tick_check_replacement()
    - don't bother with {get,put}_write_access() on non-regular files
    - cifs: Wait for writebacks to complete before attempting write.
    - xen/spinlock: Don't enable them unconditionally.
    - HID: core: do not scan constant input report
    - HID: add NO_INIT_REPORTS quirk for Synaptics Touch Pad V 103S
    - md/raid1: r1buf_pool_alloc: free allocate pages when subsequent allocation fails.
    - mm/hugetlb.c: add cond_resched_lock() in return_unused_surplus_pages()
    - mm: use paravirt friendly ops for NUMA hinting ptes
    - USB: cdc-acm: Remove Motorola/Telit H24 serial interfaces from ACM driver
    - USB: cp210x: Add 8281 (Nanotec Plug & Drive)
    - USB: usb_wwan: fix handling of missing bulk endpoints
    - USB: serial: ftdi_sio: add id for Brainboxes serial cards
    - usb: option driver, add support for Telit UE910v2
    - Revert "USB: serial: add usbid for dell wwan card to sierra.c"
    - USB: serial: fix sysfs-attribute removal deadlock
    - USB: io_ti: fix firmware download on big-endian machines
    - usb: qcserial: add Sierra Wireless EM7355
    - usb: qcserial: add Sierra Wireless MC73xx
    - usb: qcserial: add Sierra Wireless MC7305/MC7355
    - usb: option: add Olivetti Olicard 500
    - usb: option: add Alcatel L800MA
    - usb: option: add and update a number of CMOTech devices
    - mlx4_en: don't use napi_synchronize inside mlx4_en_netpoll
    - fs: Don't return 0 from get_anon_bdev
    - drm/vmwgfx: correct fb_fix_screeninfo.line_length
    - drm/vmwgfx: Make sure user-space can't DMA across buffer object boundaries v2
    - drm/qxl: unset a pointer in sync_obj_unref
    - drm/radeon: call drm_edid_to_eld when we update the edid
    - drm/radeon: fix typo in spectre_golden_registers
    - drm/i915/tv: fix gen4 composite s-video tv-out
    - net: sctp: wake up all assocs if sndbuf policy is per socket
    - net: sctp: test if association is dead in sctp_wake_up_waiters
    - l2tp: take PMTU from tunnel UDP socket
    - net: core: don't account for udp header size when computing seglen
    - bonding: Remove debug_fs files when module init fails
    - bridge: Fix double free and memory leak around br_allowed_ingress
    - ipv6: Limit mtu to 65575 bytes
    - gre: don't allow to add the same tunnel twice
    - vti: don't allow to add the same tunnel twice
    - ipv4: return valid RTA_IIF on ip route get
    - filter: prevent nla extensions to peek beyond the end of the message
    - ip6_gre: don't allow to remove the fb_tunnel_dev
    - vlan: Fix lockdep warning when vlan dev handle notification
    - tg3: update rx_jumbo_pending ring param only when jumbo frames are enabled
    - net: sctp: cache auth_enable per endpoint
    - net: Fix ns_capable check in sock_diag_put_filterinfo
    - rtnetlink: Warn when interface's information won't fit in our packet
    - rtnetlink: Only supply IFLA_VF_PORTS information when RTEXT_FILTER_VF is set
    - ipv6: fib: fix fib dump restart
    - bridge: Handle IFLA_ADDRESS correctly when creating bridge device
    - sctp: reset flowi4_oif parameter on route lookup
    - net: qmi_wwan: add Sierra Wireless EM7355
    - net: qmi_wwan: add Sierra Wireless MC73xx
    - net: qmi_wwan: add Sierra Wireless MC7305/MC7355
    - net: qmi_wwan: add Olivetti Olicard 500
    - net: qmi_wwan: add Alcatel L800MA
    - net: qmi_wwan: add a number of CMOTech devices
    - net: qmi_wwan: add a number of Dell devices
    - slip: fix spinlock variant
    - mactap: Fix checksum errors for non-gso packets in bridge mode
    - Revert "macvlan : fix checksums error when we are in bridge mode"
    - tcp_cubic: fix the range of delayed_ack
    - vsock: Make transport the proto owner
    - ip_tunnel: Set network header properly for IP_ECN_decapsulate()
    - net: ipv4: ip_forward: fix inverted local_df test
    - net: ipv6: send pkttoobig immediately if orig frag size > mtu
    - ipv4: fib_semantics: increment fib_info_cnt after fib_info allocation
    - net: cdc_mbim: handle unaccelerated VLAN tagged frames
    - macvlan: Don't propagate IFF_ALLMULTI changes on down interfaces.
    - sfc: fix calling of free_irq with already free vector
    - ip6_tunnel: fix potential NULL pointer dereference
    - rtnetlink: wait for unregistering devices in rtnl_link_unregister()


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.4
Build-Depends: debhelper, cpio, kmod, python, lzma [armel], kernel-wedge, quilt, patchutils, bc, gcc-4.8 [alpha amd64 armel armhf hppa i386 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc sparc64], binutils-hppa64 [hppa], gcc-4.8-hppa64 [hppa], gcc-4.6 [ia64], gcc-4.7 [sh4]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Svn: svn://anonscm.debian.org/svn/kernel/dists/trunk/linux/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux/
Homepage: https://www.kernel.org/

Package: linux-source-3.12
Architecture: all
Section: kernel
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.12 with Debian patches
 This package provides source code for the Linux kernel version 3.12. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-3.12
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.12
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.12.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.12/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-3.12
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.12
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-3.12-4
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Description: Support files for Linux 3.12
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64 x32
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-3.12-4-all
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.12-4-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.12 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.12, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.12-4-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.12-4-alpha-generic (= ${binary:Version}), linux-headers-3.12-4-alpha-smp (= ${binary:Version}), linux-headers-3.12-4-alpha-legacy (= ${binary:Version})
Description: All header files for Linux 3.12 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.12, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.12-4-common
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64
Depends: ${misc:Depends}
Description: Common header files for Linux 3.12-4
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.12-4, generally used for building out-of-tree
 kernel modules.  To obtain a complete set of headers you also need to
 install the linux-headers-3.12-4-(flavour) package, matching the flavour
 of the kernel you intend the build for.

Package: linux-image-3.12-4-alpha-generic
Architecture: alpha
Provides: linux-modules-3.12-4-alpha-generic
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.110~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.12, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.110~)
Description: Linux 3.12 for Alpha
 The Linux kernel 3.12 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.12-4-alpha-generic
Architecture: alpha
Depends: linux-headers-3.12-4-common (= ${binary:Version}), linux-kbuild-3.12, ${misc:Depends}, gcc-4.8
Description: Header files for Linux 3.12-4-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.12-4-alpha-generic, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.12-4-alpha-generic, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.12-4-alpha-generic package.

Package: linux-image-3.12-4-alpha-smp
Architecture: alpha
Provides: linux-modules-3.12-4-alpha-smp
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.110~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.12, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.110~)
Description: Linux 3.12 for Alpha SMP
 The Linux kernel 3.12 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.12-4-alpha-smp
Architecture: alpha
Depends: linux-headers-3.12-4-common (= ${binary:Version}), linux-kbuild-3.12, ${misc:Depends}, gcc-4.8
Description: Header files for Linux 3.12-4-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.12-4-alpha-smp, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.12-4-alpha-smp, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.12-4-alpha-smp package.

Package: linux-image-3.12-4-alpha-legacy
Architecture: alpha
Provides: linux-modules-3.12-4-alpha-legacy
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.110~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.12, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.110~)
Description: Linux 3.12 for Alpha Legacy
 The Linux kernel 3.12 and modules for use on DEC Alpha systems with legacy
 kernel start address.

Package: linux-headers-3.12-4-alpha-legacy
Architecture: alpha
Depends: linux-headers-3.12-4-common (= ${binary:Version}), linux-kbuild-3.12, ${misc:Depends}, gcc-4.8
Description: Header files for Linux 3.12-4-alpha-legacy
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.12-4-alpha-legacy, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.12-4-alpha-legacy, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.12-4-alpha-legacy package.

Package: linux-headers-3.12-4-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.12-4-amd64 (= ${binary:Version}), linux-headers-3.12-4-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 3.12 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.12, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.12-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image, zlib-modules
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
XC-Package-Type: udeb
XB-Kernel-Version: 3.12-4-amd64

Package: nic-modules-3.12-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-3.12-4-amd64-di, nic-shared-modules-3.12-4-amd64-di, core-modules-3.12-4-amd64-di, i2c-modules-3.12-4-amd64-di, crc-modules-3.12-4-amd64-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.12-4-amd64

Package: nic-wireless-modules-3.12-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.12-4-amd64-di, nic-shared-modules-3.12-4-amd64-di, core-modules-3.12-4-amd64-di, usb-modules-3.12-4-amd64-di, mmc-modules-3.12-4-amd64-di, pcmcia-modules-3.12-4-amd64-di, crc-modules-3.12-4-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
XC-Package-Type: udeb
XB-Kernel-Version: 3.12-4-amd64

Package: nic-shared-modules-3.12-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.12-4-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
XC-Package-Type: udeb
XB-Kernel-Version: 3.12-4-amd64

Package: serial-modules-3.12-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.12-4-amd64-di, pcmcia-modules-3.12-4-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.12-4-amd64

Package: usb-serial-modules-3.12-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.12-4-amd64-di, usb-modules-3.12-4-amd64-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.12-4-amd64

Package: ppp-modules-3.12-4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-3.12-4-amd64-di, serial-modules-3.12-4-amd64-di, crc-modules-3.12-4-amd64-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.12-4-amd64

Package: pata-modules-3.12-4-amd64-di
Architecture: amd64
